@REM  Betty-TV-Fernbedienung
@REM  eine Betty-App erzeugen
@ECHO OFF
SET ARMHOME=E:\KEIL41\ARM
SET PATH=%ARMHOME%\BIN40
SET ARMCONF=%ARMHOME%\BIN
SET ARMDLL=%ARMHOME%\BIN40
SET ARMINC=%ARMHOME%\RV31\INC
SET ARMLIB=%ARMHOME%\RV31\LIB

echo Assembliere AppStartup
armasm --cpu=arm7tdmi --arm --apcs=/interwork --list AppStartuparm.lst --width 100 AppStartupArm.asm
if Errorlevel==1 goto ende

echo Compile AppMain
armcc  --via appcompilearm.xcl  appmain.c
if Errorlevel==1 goto ende


echo Linke
armlink --via applinkarm.xcl
if Errorlevel==1 goto ende

echo Mache Hex
fromelf --output AmyArm.hex --i32 applinkedarm.elf
if Errorlevel==1 goto ende

echo Mache Bin
fromelf --output AmyArm.bin --bin applinkedarm.elf
if Errorlevel==1 goto ende

echo So, das war's.
..\Betty-Heaven
goto schluss

:ende
echo ...
echo Hei, da ist was schiefgelaufen!
pause

:schluss

